﻿' Note: Set the Canvas's Background property to Brushes.White at design time.
Class Window1
    Private new_line As Line = Nothing

    ' Create the new Line.
    Private Sub canLine_MouseLeftButtonDown(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles canLine.MouseLeftButtonDown
        new_line = New Line()

        Dim pt As Point = e.GetPosition(canLine)
        new_line.Stroke = Brushes.Green
        new_line.X1 = pt.X
        new_line.Y1 = pt.Y
        new_line.X2 = pt.X
        new_line.Y2 = pt.Y

        canLine.Children.Add(new_line)
    End Sub

    ' Move the line's second end point.
    Private Sub canLine_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Input.MouseEventArgs) Handles canLine.MouseMove
        If new_line IsNot Nothing Then
            Dim pt As Point = e.GetPosition(canLine)
            new_line.X2 = pt.X
            new_line.Y2 = pt.Y
        End If
    End Sub

    ' Finish the line.
    Private Sub canLine_MouseLeftButtonUp(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles canLine.MouseLeftButtonUp
        new_line = Nothing
    End Sub
End Class
